Simulate a mouse click action on the browser instance
curl --request POST \
--url https://api.onkernel.com/browsers/{id}/computer/click_mouse \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"x": 123,
"y": 123,
"hold_keys": [
"<string>"
],
"num_clicks": 1
}
'import requests
url = "https://api.onkernel.com/browsers/{id}/computer/click_mouse"
payload = {
"x": 123,
"y": 123,
"hold_keys": ["<string>"],
"num_clicks": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({x: 123, y: 123, hold_keys: ['<string>'], num_clicks: 1})
};
fetch('https://api.onkernel.com/browsers/{id}/computer/click_mouse', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "bad_request",
"message": "Missing required field: app_name",
"details": [
{
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
],
"inner_error": {
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
}{
"code": "bad_request",
"message": "Missing required field: app_name",
"details": [
{
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
],
"inner_error": {
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
}{
"code": "bad_request",
"message": "Missing required field: app_name",
"details": [
{
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
],
"inner_error": {
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
}Browsers
Simulate a mouse click action on the browser instance
POST
/
browsers
/
{id}
/
computer
/
click_mouse
Simulate a mouse click action on the browser instance
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Browser session ID
Body
application/json
X coordinate of the click position
Y coordinate of the click position
Mouse button to interact with
Available options:
left, right, middle, back, forward Type of click action
Available options:
down, up, click Modifier keys to hold during the click
Number of times to repeat the click
Response
Mouse action performed
Ad-hoc upload one or more unpacked extensions to a running browser instance.
Previous
Move the mouse cursor to the specified coordinates on the browser instance
Next
⌘I

